計算物理屋の研究備忘録

Linux, Cygwin, Mac, zsh, emacs等の使い方、設定などのメモ

Ubuntu 18.04 LTS にEmacsをインストール

Ubuntuを18.04LTSにアップグレードして、Emacsを普通のsudo apt install emacsでインストールしたらバージョンは25だった。最新は26だったけれど、まあいいかと思って使っていたら、パッケージのインストールで

Failed to verify signature archive-contents.sig:

のようなエラーが出てうまくいかなかった。解決策もググると出てきて

elpa.gnu.org

elpa-keyring-updateをインストールすればいいらしいのだが、それもうまくいかなかった。それに起動したemacsのウィンドウサイズがやたらでかかったり、何かうまくいかないことも多いのでemacs 25は消して、最新のemacs 26を入れることにした。

emacs 26はPPAで公開されている。

$ sudo add-apt-repository ppa:kelleyk/emacs
$ sudo apt-get update
$ sudo apt-get install emacs26

これでエラーも出なくなった。